Notifications

Your Projects notifications.

MethodPathSummary
GET/v1/app/project/notificationsList the caller's cross-project notifications
GET/v1/app/project/notifications/unread-countGet the caller's unread notification count
PATCH/v1/app/project/notifications/:id/readMark a notification as read
POST/v1/app/project/notifications/read-allMark all of the caller's notifications as read

#List the caller's cross-project notifications

GET/v1/app/project/notifications

List the caller's cross-project notifications. Pass "1" or "true" to only return unread notifications

Address
https://<your-org>.brambleit.cloud/api/v1/app/project/notifications
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Projects.

Query parameters

NameTypeDescription
unread_onlystring
limitinteger

Response 200

FieldTypeDescription
notificationsarray of object
notifications[].idinteger
notifications[].project_idinteger
notifications[].work_package_idinteger, or null
notifications[].user_idinteger
notifications[].actor_user_idinteger, or null
notifications[].typestring: "assigned" | "comment" | "mention" | "status_change"
notifications[].is_readboolean
notifications[].created_atstring (date-time)
notifications[].project_namestring
notifications[].project_public_idstring
notifications[].work_package_subjectstring
notifications[].actorany
Example response
JSON
{
  "notifications": [
    {
      "id": 42,
      "project_id": 7,
      "work_package_id": 7,
      "user_id": 7,
      "actor_user_id": 7,
      "type": "assigned",
      "is_read": true,
      "created_at": "2026-11-12T09:30:00.000Z",
      "project_name": "Example project name",
      "project_public_id": "string",
      "work_package_subject": "Example work package subject",
      "actor": null
    }
  ]
}

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/app/project/notifications' \
  -H "X-API-Key: $BRAMBLE_KEY"

#Get the caller's unread notification count

GET/v1/app/project/notifications/unread-count
Address
https://<your-org>.brambleit.cloud/api/v1/app/project/notifications/unread-count
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Projects.

Response 200

FieldTypeDescription
countinteger
Example response
JSON
{
  "count": 3
}

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/app/project/notifications/unread-count' \
  -H "X-API-Key: $BRAMBLE_KEY"

#Mark a notification as read

PATCH/v1/app/project/notifications/:id/read

Mark a notification as read. Notification ID

Address
https://<your-org>.brambleit.cloud/api/v1/app/project/notifications/:id/read
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Projects.

Path parameters

NameTypeDescription
idrequiredinteger

Response 200

FieldTypeDescription
okboolean
Example response
JSON
{
  "ok": true
}

Example request

Bash
curl -X PATCH 'https://<your-org>.brambleit.cloud/api/v1/app/project/notifications/42/read' \
  -H "X-API-Key: $BRAMBLE_KEY"

#Mark all of the caller's notifications as read

POST/v1/app/project/notifications/read-all
Address
https://<your-org>.brambleit.cloud/api/v1/app/project/notifications/read-all
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Projects.

Response 200

FieldTypeDescription
okboolean
Example response
JSON
{
  "ok": true
}

Example request

Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/v1/app/project/notifications/read-all' \
  -H "X-API-Key: $BRAMBLE_KEY"